<?php

class LFProductCheckout {

	/**
	 * Method to kickstart the code.
	 *
	 * @return void
	 */
	public static function start(){
		new LFProductCheckout;
	}

	/**
	 * Adds all necessary action hooks
	 */
	private function __construct(){
		add_action('woocommerce_process_product_meta', array($this, 'saveProductGeneralTabField'));

	}

	/**
	 * Saves the checkbox selection state ("yes" by default)
	 */
	public function saveProductGeneralTabField($id){
		if (isset($_POST['productcheckout_input'])) {
			update_post_meta($id, 'productcheckout_input', $_POST['productcheckout_input'] );
		}	
	}

}

/**
 * Finally, start the class
 */

LFProductCheckout::start();