<?php

class LFRemoveRelated {

	/**
	 * Method to kickstart the code.
	 *
	 * @return void
	 */
	public static function start(){
		new LFRemoveRelated;
	}

	/**
	 * Adds all necessary action hooks
	 */
	private function __construct(){
		add_action('woocommerce_process_product_meta', array($this, 'saveProductGeneralTabField'));

	}

	/**
	 * Saves the checkbox selection state ("yes" by default)
	 */
	public function saveProductGeneralTabField($id){
			update_post_meta($id, 'removerelated_input', $_POST['removerelated_input'] );
	}

}

/**
 * Finally, start the class
 */

LFRemoveRelated::start();